/*
 * Class WEL_DT_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_575 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_575 [] = {0xFF01,1551,574,0xFFFF};
static const EIF_TYPE_INDEX egt_2_575 [] = {0xFF01,574,0xFFFF};
static const EIF_TYPE_INDEX egt_3_575 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_575 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_575 [] = {0xFF01,574,0xFFFF};
static const EIF_TYPE_INDEX egt_6_575 [] = {0xFF01,574,0xFFFF};
static const EIF_TYPE_INDEX egt_7_575 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_575 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_575 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_575 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_575 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_575 [] = {0xFF01,574,0xFFFF};


static const struct desc_info desc_575[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_575), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_575), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_575), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_575), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_575), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_575), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_575), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_575), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_575), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_575), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_575), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_575), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x047D /*574*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_575), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10353, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10354, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10358, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10360, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10362, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10363, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10366, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10369, 0xFFFFFFFF},
};
void Init575(void)
{
	IDSC(desc_575, 0, 574);
	IDSC(desc_575 + 1, 1, 574);
	IDSC(desc_575 + 32, 740, 574);
}


#ifdef __cplusplus
}
#endif
